import abc
from typing import Generic, TypeVar

from rainbowadn.hashing.hashpoint import HashPoint
from rainbowadn.hashing.static import StaticMentionable

__all__ = ('Atomic',)

AtomicMentioned = TypeVar('AtomicMentioned')


class Atomic(StaticMentionable[AtomicMentioned], abc.ABC, Generic[AtomicMentioned]):
    def __topology_hash__(self) -> bytes:
        return HashPoint.NULL_HASH
