from rainbowadn.hashing.rainbow_factory import RainbowFactory

__all__ = ('HashMentionable',)


class HashMentionable:
    def __bytes__(self):
        raise NotImplementedError

    def __factory__(self) -> RainbowFactory['HashMentionable']:
        raise NotImplementedError

    def __topology_hash__(self) -> bytes:
        raise NotImplementedError
