from typing import Generic, TypeVar

__all__ = ('RainbowFactory',)

FHashMentioned = TypeVar('FHashMentioned')


class RainbowFactory(Generic[FHashMentioned]):
    """вперёд, уроды, вас ждут заводы"""

    def from_bytes(self, source: bytes) -> FHashMentioned:
        raise NotImplementedError
